### Signal

# WebKit AuthenticationRequest::authenticated

#### Declaration

    void
    authenticated (
      WebKitAuthenticationRequest* self,
      WebKitCredential* credential,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the user authentication request succeeded. Applications handling their own credential storage should connect to this signal to save the credentials.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.30

#### Parameters

`credential` | `WebKitCredential`
| The `WebKitCredential` accepted.
| The data is owned by the caller of the function.